Package edu.wisc.game.sql

## Class EpisodeInfo

- java.lang.Object
- - edu.wisc.game.sql.Episode
  - - edu.wisc.game.sql.EpisodeInfo

-     @Entity
      public class EpisodeInfo
      extends Episode

  An EpisodeInfo instance extends an Episode, containing additional information related to it being played as part of an experiment. That includes support for creating an Episode based on a parameter set, and for managing earned reward amount.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `EpisodeInfo.ExtendedDisplay` | Provides some extra information related to the episode's context within the experiment.

    - ### Nested classes/interfaces inherited from class edu.wisc.game.sql.Episode

      `Episode.CODE, Episode.Display, Episode.FINISH_CODE, Episode.Move, Episode.OutputMode, Episode.Pick`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static HashMap<String,​Episode>` | `globalAllEpisodes` |

    - ### Fields inherited from class edu.wisc.game.sql.Episode

      `episodeId, NBU, ruleLineNo, version`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cache()` |
    `Episode.Display` | `doMove​(int y, int x, int by, int bx, int _attemptCnt)` | Calls Episode.doMove, and then does various adjustments related to this episode's role in the experiment plan.
    `Episode.Display` | `doPick​(int y, int x, int _attemptCnt)` | Evaluate a pick attempt
    `Board` | `getCurrentBoard()` | Shows tHe current board (including dropped pieces, which are labeled as such)
    `String` | `getGuess()` |
    `int` | `getGuessConfidence()` |
    `boolean` | `getGuessSaved()` |
    `PlayerInfo` | `getPlayer()` |
    `int` | `getSeriesNo()` |
    `boolean` | `isBonus()` |
    `static Episode` | `locateEpisode​(String eid)` |
    `Episode.Display` | `mkDisplay()` | Builds a display to be sent out over the web UI
    `String` | `report()` | Concise report, handy for debugging
    `void` | `saveGuessToFile​(File f, String guessText, int confidence)` |
    `void` | `setBonus​(boolean _bonus)` |
    `void` | `setGuess​(String _guess)` |
    `void` | `setGuessConfidence​(int _guessConfidence)` |
    `void` | `setGuessSaved​(boolean _guessSaved)` |
    `void` | `setPlayer​(PlayerInfo _player)` |
    `void` | `setSeriesNo​(int _seriesNo)` |
    `ParaSet` | `xgetPara()` |

    - ### Methods inherited from class edu.wisc.game.sql.Episode

      `getEpisodeId, getNPiecesStart, getStartTime, graphicDisplay, graphicDisplay, graphicDisplayAscii, playGame, setEpisodeId, setNPiecesStart, setStartTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### globalAllEpisodes

          public static HashMap<String,​Episode> globalAllEpisodes

  - ### Method Detail

    - #### getPlayer

          public PlayerInfo getPlayer()

    - #### setPlayer

          public void setPlayer​(PlayerInfo _player)

    - #### locateEpisode

          public static Episode locateEpisode​(String eid)

    - #### cache

          public void cache()

    - #### isBonus

          public boolean isBonus()

    - #### setBonus

          public void setBonus​(boolean _bonus)

    - #### getSeriesNo

          public int getSeriesNo()

    - #### setSeriesNo

          public void setSeriesNo​(int _seriesNo)

    - #### getGuessSaved

          public boolean getGuessSaved()

    - #### setGuessSaved

          public void setGuessSaved​(boolean _guessSaved)

    - #### getGuess

          public String getGuess()

    - #### setGuess

          public void setGuess​(String _guess)

    - #### getGuessConfidence

          public int getGuessConfidence()

    - #### setGuessConfidence

          public void setGuessConfidence​(int _guessConfidence)

    - #### xgetPara

          public ParaSet xgetPara()

    - #### doMove

          public Episode.Display doMove​(int y,
                                        int x,
                                        int by,
                                        int bx,
                                        int _attemptCnt)
                                 throws IOException

      Calls Episode.doMove, and then does various adjustments related to this episode's role in the experiment plan. If the player has failed to complete a bonus episode on time, this is the place that sets the "lost" flag.
      Overrides:
        `doMove` in class `Episode`
      Throws:
        `IOException`

    - #### doPick

          public Episode.Display doPick​(int y,
                                        int x,
                                        int _attemptCnt)
                                 throws IOException

      Description copied from class: `Episode`
      Evaluate a pick attempt
      Overrides:
        `doPick` in class `Episode`
      Throws:
        `IOException`

    - #### report

          public String report()

      Concise report, handy for debugging
      Overrides:
        `report` in class `Episode`

    - #### getCurrentBoard

          public Board getCurrentBoard()

      Shows tHe current board (including dropped pieces, which are labeled as such)
      Overrides:
        `getCurrentBoard` in class `Episode`

    - #### mkDisplay

          public Episode.Display mkDisplay()

      Builds a display to be sent out over the web UI
      Overrides:
        `mkDisplay` in class `Episode`

    - #### saveGuessToFile

          public void saveGuessToFile​(File f,
                                      String guessText,
                                      int confidence)